InvalidLabelResourceRequestException (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.exceptions, class: InvalidLabelResourceRequestException

Package org.apache.hadoop.yarn.exceptions

# Class InvalidLabelResourceRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.hadoop.yarn.exceptions.YarnException
org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException
org.apache.hadoop.yarn.exceptions.InvalidLabelResourceRequestException

All Implemented Interfaces:
  `Serializable`

public class InvalidLabelResourceRequestException extends InvalidResourceRequestException
This exception is thrown when a resource requested via `ResourceRequest` in the `ApplicationMasterProtocol.allocate(AllocateRequest)` when requested label is not having permission to access.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException

  `InvalidResourceRequestException.InvalidResourceType`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException

  `GREATER_THAN_MAX_RESOURCE_MESSAGE_TEMPLATE, LESS_THAN_ZERO_RESOURCE_MESSAGE_TEMPLATE, UNKNOWN_REASON_MESSAGE_TEMPLATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidLabelResourceRequestException(String message)`
  `InvalidLabelResourceRequestException(String message, Throwable cause)`
  `InvalidLabelResourceRequestException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException

  `getInvalidResourceType`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidLabelResourceRequestException

    public InvalidLabelResourceRequestException(Throwable cause)

  - ### InvalidLabelResourceRequestException

    public InvalidLabelResourceRequestException(String message)

  - ### InvalidLabelResourceRequestException

    public InvalidLabelResourceRequestException(String message, Throwable cause)